Skip to content
  • Lookup Homes by Owner

    Use Lookup Homes by Owner endpoint to get information on homes owned by homeowners.

    Lookup homes owned by a homeowner

    Request

    The LookupHomesByOwner endpoint returns an array of homes owned by a homeowner based on their address (MAK).

    The service requires at least one of the following input combinations:

    Set A - mak

    Set B - ff

    Query
    formatstring

    Desired format of the response.

    Enum:"json""xml"
    Example:format=JSON
    idany, (password)required

    Required. The License Key issued by Melissa.

    Example:id={REPLACE-WITH-YOUR-LICENSE-KEY}
    tstring

    Transmission Reference - This is a string value that serves as a unique identifier for this set of records. It is returned as sent.

    Example:t=Test
    ffstring

    The free form address.

    makstringrequired

    A proprietary unique key identifier for an address.

    Example:mak=9005381555
    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""application/xml""*/*"
    Example:*/*
    Content-Typestringrequired

    Format of the request.

    Enum:"application/json""application/xml"
    GET
    /LookupHomesByOwner
    curl -i -X GET \
      'https://property.melissadata.net/v4/WEB/LookupHomesByOwner?id=%7BREPLACE-WITH-YOUR-LICENSE-KEY%7D&mak=9005381555' \
      -H 'Accept: */*' \
      -H 'Content-Type: application/json'

    Responses

    Successful response

    Body
    Versionstring

    The current service version number.

    TransmissionReferencestring

    Serves as a unique request identifier.

    Resultsstring

    Lists error codes from any errors caused by the most recent request as a whole. For more information, see Property Result Codes.

    TotalRecordsinteger

    Total number of records.

    RecordsArray of objects
    Response
    { "Version": "9.4.2.1107", "TransmissionReference": "Test", "Results": "YS07", "TotalRecords": 2, "Records": [ {}, {} ] }